package edu.ntnu.stud.chaosgame.view;

import edu.ntnu.stud.chaosgame.controller.game.ChaosGame;
import edu.ntnu.stud.chaosgame.controller.game.ChaosGameDescription;

/**
 * Observer interface for monitoring changes to the active
 * TODO: Do we want to have separate update methods for the canvas and description or just one for the whole game? (likely the latter)
 */
public interface ChaosGameObserver {
// TODO: Create interface


  /**
   * Perform update of the ChaosCanvas.
   *
   * @param canvas the canvas.
   */
  //void updateCanvas(ChaosCanvas canvas);

  /**
   * Perform update of the ChaosGameDescription.
   *
   * @param description the description.
   */
  //void updateDescription(ChaosGameDescription description);
  void updateDescription(ChaosGameDescription description);

  /**
   * Update the observer based on changes to the chaos game.
   *
   * @param game the game this observer is monitoring.
   */
  void update(ChaosGame game);
}
